import LayoutMain from '@/framework/layout/Main'

import Login from '@/framework/layout/Login'
import Dasboard from '@/views/dasboard'

import UserList from '@/views/system/user/UserList'
import RoleList from '@/views/system/role/RoleList'
import ChangePwd from '@/views/system/pwd/ChangePwd'

/** 报警设置 */
const ProjAlarm = () => import('@/views/alarm/projalarm/index')
const ProjNotice = () => import('@/views/alarm/notice/index')
const StaffSetting = () => import('@/views/alarm/staff/index')

/**与FM相关设置 */
const ProjSop = () => import('@/views/fm/projectsop/index')
const ProjRules = () => import('@/views/fm/projectrule')

/**点位部分 */
import pointConfig from '@/views/point/config_point'
import editDataSouce from '@/views/point/config_point/edit_origin'
import pointSteps from '@/views/point/config_point/steps'

/**项目化配置 */
import collectsetting from '@/views/project_setting/collection_setting/index'

/** 业务空间 */
import spacelist from '@/views/business_space/business_list'

/** 扫楼数据整理 */
import buildAssets from '@/views/data_admin/buildAssets'
import buildLog from '@/views/data_admin/buildLog'
import buildUser from '@/views/data_admin/buildUser'
import buildData from '@/views/data_admin/buildData'
import buildGraphy from '@/views/data_admin/buildGraphy'

/**市场及商务 */
const OwnerManage = () => import('@/views/market/owner/manage')

/**  台账管理 */
import systemLedger from '@/views/ledger/system'
import facilityLedger from '@/views/ledger/facility'
import propertyLedger from '@/views/ledger/property'

export default [
    { path: '/', name: '', component: LayoutMain, children: [{ path: '', name: 'blank', component: Dasboard }] },
    { path: '/login', name: 'Login', component: Login },

    // 报警设置
    // {
    //     path: '/alarmconfig',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         { path: 'projsetting', name: 'Dasboard', component: ProjAlarm },
    //         { path: 'projnotice', name: 'Dasboard', component: ProjNotice },
    //         { path: 'staffsetting', name: 'Dasboard', component: StaffSetting }
    //     ]
    // },
    // 与FM相关设置
    // {
    //     path: '/fm',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         { path: 'sopsetting', name: 'Dasboard', component: ProjSop },
    //         { path: 'rulesetting', name: 'Dasboard', component: ProjRules }
    //     ]
    // },
    // 系统集成
    {
        path: '/point',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'pointConfig', component: pointConfig },
            {
                path: 'pointsetting',
                name: 'Dasboard',
                component: pointConfig,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成' }, { label: '点位表配置工具' }] }
            },
            { path: 'editDataSouce', name: 'editDataSouce', component: editDataSouce },
            { path: 'pointSteps', name: 'pointSteps', component: pointSteps },
            { path: 'dynamicdata', name: 'dynamicdata', component: Dasboard }
        ]
    },
    //项目化配置
    {
        path: '/proj',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'custominfo', name: 'Dasboard', component: Dasboard },
            { path: 'collectsetting', name: 'collectsetting', component: collectsetting },
            { path: 'floorinfo', name: 'Dasboard', component: Dasboard }
        ]
    },
    //模型管理
    {
        path: '/model',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'file', name: 'Dasboard', component: Dasboard },
            { path: 'noentity', name: 'collectsetting', component: Dasboard },
            { path: 'beforemodel', name: 'Dasboard', component: Dasboard },
            { path: 'modelrule', name: 'Dasboard', component: Dasboard },
            { path: 'beacon', name: 'Dasboard', component: Dasboard }
        ]
    },
    //台账管理
    {
        path: '/ledger',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'facility',
                name: 'facilityLedger',
                component: facilityLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理' }, { label: '设备清单' }] }
            },
            {
                path: 'property',
                name: 'propertyLedger',
                component: propertyLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理' }, { label: '资产清单' }] }
            },
            { path: 'cenotelist', name: 'Dasboard', component: Dasboard },
            { path: 'dimension', name: 'Dasboard', component: Dasboard },
            { path: 'rubbish', name: 'Dasboard', component: Dasboard },
            { path: 'updowncheck', name: 'Dasboard', component: Dasboard }
        ]
    },
    //业务空间管理
    {
        path: '/business',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'spacelist', name: 'spacelist', component: spacelist }
        ]
    },
    //租户管理
    {
        path: '/rent',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'rentlist', name: 'Dasboard', component: Dasboard }
        ]
    },
    //扫楼数据管理
    {
        path: '/floor',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'buildData', component: buildData },
            { path: 'data', name: 'buildData', component: buildData },
            { path: 'plan', name: 'buildGraphy', component: buildGraphy },
            {
                path: 'abnormalprop',
                name: 'buildAssets',
                component: buildAssets,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业' }, { label: '异常资产清单' }] }
            },
            {
                path: 'log',
                name: 'buildLog',
                component: buildLog,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业' }, { label: '扫楼日志查看' }] }
            },
            {
                path: 'appuser',
                name: 'buildUser',
                component: buildUser,
                meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置' }, { label: '扫楼App用户管理' }] }
            }
        ]
    },
    //环境调节
    {
        path: '/environment',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'envlist', name: 'Dasboard', component: Dasboard }
        ]
    },
    //市场及商务
    {
        path: '/market',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'own', name: 'Dasboard', component: OwnerManage }
        ]
    },
    //系统管理
    {
        path: '/system',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            {
                path: 'list',
                name: 'systemlist',
                component: systemLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统管理' }, { label: '系统清单' }] }
            }
        ]
    }
]
